package com.caimei.mapper;

import com.caimei.model.po.CmUserInvoiceInfoPo;
import com.caimei.model.vo.CartProductVo;
import com.caimei.model.vo.ShopVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * Description
 *
 * @author : plf
 * @date : 2021/3/24
 */
@Mapper
public interface OrderSubmitMapper {
    /**
     * 查询商品结算供应商
     *
     * @param productIds
     * @return
     */
    List<ShopVo> findShopByproductIds(@Param("productIds") String[] productIds);

    /**
     * 查询商品购物车信息
     *
     * @param shopId
     * @param productIds
     * @return
     */
    List<CartProductVo> findProductListByCart(@Param("shopId") Integer shopId, @Param("productIds") String[] productIds);

    /**
     * 查询商品信息
     *
     * @param productId
     * @return
     */
    CartProductVo findCartByProductId(String productId);

    /**
     * 查询用户发票信息
     *
     * @param userId
     * @return
     */
    CmUserInvoiceInfoPo findUserInvoice(Integer userId);

    /**
     * 查询供应商信息
     *
     * @param shopId
     * @return
     */
    ShopVo getShop(Integer shopId);
}
